# matrix-bridge-voxtelesys

When someone texts your Voxtelesys DID, this script creates a Matrix room named with the sender's
number, posts their SMS in it, and invites you (the users in config.json) to the room.
When someone posts a message in the room this script sends it as an SMS to the original sender.
Back and forth it goes!

## Installation

    git clone https://source.netsyms.com/Netsyms/matrix-bridge-voxtelesys /opt/matrix-bridge-voxtelesys
    cd /opt/matrix-bridge-voxtelesys
    npm install
    cp matrix-bridge-voxtelesys.service /etc/systemd/system
    systemctl enable matrix-bridge-voxtelesys
    systemctl start matrix-bridge-voxtelesys

    Or just run `node main.js`.

## Known Issues/Limitations

* If you leave a room the bot won't invite you back, even if there are new SMS messages.
* Any messages posted in a Matrix room while the bot is offline will not be relayed to SMS when it comes back.
* Only unread SMS are fetched, so if anything else is checking the API this bot won't get those.
* This polls the API for messages every 15 seconds (configurable), which is a bit ugly.